Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class MapRuleHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.StyleRuleHandle
                      org.eclipse.birt.report.model.api.MapRuleHandle

    public class MapRuleHandle

extends StyleRuleHandle

Represents the handle of map rule. The Map rule represents a style mapping rule: a translation of a database value into a set of display values. A map might translate DB status codes (O, S, P) into user-visible strings (Open, Shipped, Paid). The mapping is driven of of a mapping test expression defined on the style.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structContext`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`MapRuleHandle(SimpleValueHandle valueHandle, int index)` Constructs the handle of map rule.

Method Summary
`java.lang.String` | `getDisplay()` Returns the display value when this rule applies.
`java.lang.String` | `getDisplayKey()` Returns the resource key of display value.
`java.lang.String` | `getTestExpression()` sets the test expression for this map rule.
`void` | `setDisplay(java.lang.String display)` Sets the display value when this rule applies.
`void` | `setDisplayKey(java.lang.String displayID)` Sets the resource key of display value.
`void` | `setTestExpression(java.lang.String expression)` sets the expression for this map rule.

Methods inherited from class org.eclipse.birt.report.model.api.StyleRuleHandle
`getOperator, getValue1, getValue1ExpressionList, getValue1List, getValue2, setOperator, setValue1, setValue1, setValue2`

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle
`getReference`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapRuleHandle

    public MapRuleHandle(SimpleValueHandle valueHandle,
                         int index)

  Constructs the handle of map rule.

  Parameters:
    `valueHandle` - the value handle for map rule list of one property
    `index` - the position of this map rule in the list

Method Detail

### getDisplay

    public java.lang.String getDisplay()

  Returns the display value when this rule applies.

  Returns:
    the display value when this rule applies

### setDisplay

    public void setDisplay(java.lang.String display)

  Sets the display value when this rule applies.

  Parameters:
    `display` - the display value to set

### getDisplayKey

    public java.lang.String getDisplayKey()

  Returns the resource key of display value.

  Returns:
    the resource key of display value.

### setDisplayKey

    public void setDisplayKey(java.lang.String displayID)

  Sets the resource key of display value.

  Parameters:
    `displayID` - the resource key to set

### setTestExpression

    public void setTestExpression(java.lang.String expression)

  sets the expression for this map rule.

  Parameters:
    `expression` - the expression

### getTestExpression

    public java.lang.String getTestExpression()

  sets the test expression for this map rule.

  Returns:
    the expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.